%if 0%{?el7}
%define dist .el7
%endif

Name:		cacti-plugins-realtime
Version:	0.5
Release:	4%{?dist}
Summary:	View Cacti Graphs in Realtime

Packager:       momo-i <webmaster@momo-i.org>
Vendor:         momo-i, http://www.momo-i.org/

Group:		Applications/System
License:	GPLv2
URL:		http://docs.cacti.net/
#Source0:	http://docs.cacti.net/_media/plugin:realtime-v0.5-2.tgz
Source0:	realtime-v0.5-2.tgz
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildArch:	noarch

Requires:	cacti >= 0.8.8

%description
Provides a method to view Cacti graphs with a resolution of upto
5 seconds.

%prep
%setup -q -n realtime

%install
rm -rf $RPM_BUILD_ROOT
%{__install} -d -m0755 $RPM_BUILD_ROOT%{_datadir}/cacti/plugins/realtime
%{__install} -m0644 *.php $RPM_BUILD_ROOT%{_datadir}/cacti/plugins/realtime
%{__install} -m0644 *.js $RPM_BUILD_ROOT%{_datadir}/cacti/plugins/realtime
%{__install} -m0644 *.gif $RPM_BUILD_ROOT%{_datadir}/cacti/plugins/realtime

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc README realtime.sql
%{!?_licensedir:%global license %%doc}
%license LICENSE
%{_datadir}/cacti/plugins/realtime/*

%changelog
* Thu Sep 03 2015 momo-i <webmaster@momo-i.org> - 0.5-4
- Update dist for centos7

* Mon Aug 10 2015 momo-i <webmaster@momo-i.org> - 0.5-3
- Rebuilt for fc23

* Mon Apr 13 2015 momo-i <webmaster@momo-i.org> - 0.5-2
- Rebuilt for fc22

* Fri Apr 13 2012 momo-i <webmaster@momo-i.org> - 0.5-1
- Initial rpm release.
